Subject: RE: [Syslog] Framing in syslog-transport-tls

From: "Anton Okmianski \(aokmians\)" <[email-masked]>
Date: Wed, 13 Dec 2006 12:44:14 -0500

I second Jeurgen's analysis.  I'd like to understand a technical
argument (if there is any) for requiring that extra bit of logic and
creating a potential for errors. 

Anton.   

-----Original Message-----
From: Juergen Schoenwaelder [mailto:[email-masked]] 
Sent: Wednesday, December 13, 2006 2:45 AM
To: Miao Fuyou
Cc: [email-masked]
Subject: Re: [Syslog] Framing in syslog-transport-tls

On Wed, Dec 13, 2006 at 05:54:28PM +0800, Miao Fuyou wrote:
 
> My co-workers in university also encountered this issue when 
> implementing syslog-tls, and used a mechanism similiar to the one of 
> Rainer to overcome it. As I am aware of, currently there are two 
> syslog framing implementation and both the implementaters considered 
> this boundary condition. So, my perception is careful implementater 
> would have no problem, and a note for reminding is enough.

The fact that two implementars did already run into this is a good
indication that perhaps the format should be changed to what
implementors expect and find easier.

We seem to have some evidence that the current format makes things more
complex to get implemented than it needs to be and I have not seen yet a
technical argument in favor of the current format.

/js

-- 
Juergen Schoenwaelder		 {International|Jacobs} University
Bremen
<http://www.eecs.iu-bremen.de/>	 P.O. Box 750 561, 28725 Bremen, Germany

_______________________________________________
Syslog mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/syslog

_______________________________________________
Syslog mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/syslog